<%@ page isThreadSafe="false" %>
<%
   String miArray          = "";
   String javaScInterno    = "";
   String documentoXML     = "";
   String direccionDestino = "";
   String clienteServidor  = "";
   String [] arrInfo 	   = null;
   boolean comienzoRedireccionar = false; 
   
   
   arrInfo = (String[])session.getValue("Info");  
  
   for (int i = 0; i < arrInfo.length; i++)
     if (arrInfo [i] != null) 
       miArray += arrInfo [i] + ";";

   documentoXML = (String)session.getValue("Sesion");

   direccionDestino = (String)session.getValue("direccionDestino");
 
   clienteServidor = (String)session.getValue("clienteServidor");

if ((clienteServidor != null) && (clienteServidor.equals ("TRUE")))
  javaScInterno = "TRUE";
  else
      {
       direccionDestino = "http://jakina";
       session.putValue("clienteServidor", "FALSE");
      }
  
%>
<html>
<head>
<%

if (session == null)
  System.out.println (" LA SESION ES NULA ");
  else
      System.out.println (" ID DE SESION EN EL JSP -> " + session.getId ());

comienzoRedireccionar = (
                         (((String)session.getValue ("comienzoRedireccion")) != null)
                                                  &&
                         (((String)session.getValue ("comienzoRedireccion")).equals ("TRUE"))
                        );                                   
                                
if (comienzoRedireccionar)
  {
   String redireccionInicial;
   session.putValue ("comienzoRedireccion", "FALSE");
   redireccionInicial = (String)session.getValue ("redireccionInicial");

%>
<META HTTP-EQUIV=Refresh CONTENT="0; URL=<%=redireccionInicial%>">
<%

  }
  else 
      {

%>
<META HTTP-EQUIV=Refresh CONTENT="0; URL=<%=direccionDestino%>">
<%
      }      

%>
<script>
// if (document.all) document.onmousedown=new Function("if (event.button==2||event.button==3)alert('Opción No Disponible')");
</script>
<script>
function codeit()
 {
  var insertar = '<%=javaScInterno%>';
  var arrinfo = '<%=miArray%>';
  var infoElem;
  info=arrinfo.split(";");
  pageout = '<html><head>';
<%
  if (javaScInterno.equals ("TRUE"))
    {
%>
     pageout +='<script>var TheManager = new ActiveXObject("N38SessMngr.N38SessionManager");TheManager.N38ParseXML(\'' + '<%=documentoXML%>' + '\');<\/script>';
<%
    }
%>
  pageout +='<script>';
//  pageout += 'if (document.all) document.onmousedown=new Function("if (event.button==2||event.button==3)alert(\'Opción No Disponible\')")';
  pageout +='<\/script>';
  pageout += '</head>';
  pageout += '<body>';
  pageout += '<table>';
  for (i=0 ;i < info.length; i++)
   {
    infoElem=info[i];
    pageout += '<tr><td>' + infoElem + '</td></tr>';
   }
  pageout += '</table>';
  pageout += '<a href="/N38LoginInicioServlet?LogOff=AGUR"> CERRAR SESION </a>';
  pageout += '</body></html>';
  var salida;
  salida = window.open('','output', 'width=350,height=250'
   			           +',menubar=0'
   				   +',toolbar=0'
   				   +',status=0'
   				   +',scrollbars=0'
   				   +',resizable=0'); 
  salida.document.write(pageout);
  salida.document.close();
 }
</script>
</head>
<body onload='javascript:codeit()'>
</body>
</html>